Name:           papirus-icon-theme
Version:        20230901
Release:        1
Summary:        Free and open source SVG icon theme based on Paper Icon Set

# Some icons are based on Paper Icon Theme, CC-BY-SA
# The rest is GPLv3
License:        GPL-3.0-only and CC-BY-SA-4.0
URL:            https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
Source0:        https://github.com/PapirusDevelopmentTeam/papirus-icon-theme/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description
Papirus is a free and open source SVG icon theme for Linux, based on Paper
Icon Set with a lot of new icons and a few extras, like Hardcode-Tray support,
KDE colorscheme support, Folder Color support, and others.

Papirus icon theme is available in six variants:

 - Papirus (for Arc / Arc Darker)
 - Papirus Dark (for Arc Dark)
 - Papirus Light (light theme with Breeze colors)
 - Papirus Adapta (for Adapta)
 - Papirus Adapta Nokto (for Adapta Nokto)
 - ePapirus (for elementary OS and Pantheon Desktop)

%prep
%autosetup

%build
# Nothing to build

%install
%make_install

export THEMES="ePapirus ePapirus-Dark Papirus Papirus-Dark Papirus-Light"
for t in $THEMES; do
    /bin/touch %{buildroot}%{_datadir}/icons/$t/icon-theme.cache
done

%post
export THEMES="ePapirus ePapirus-Dark Papirus Papirus-Dark Papirus-Light"
for t in $THEMES; do
    /bin/touch --no-create %{_datadir}/icons/$t &>/dev/null || :
done

%postun
if [ $1 -eq 0 ] ; then
    export THEMES="ePapirus ePapirus-Dark Papirus Papirus-Dark Papirus-Light"
    for t in $THEMES; do
        /bin/touch --no-create %{_datadir}/icons/$t &>/dev/null
        /usr/bin/gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
    done
fi

%posttrans
export THEMES="ePapirus ePapirus-Dark Papirus Papirus-Dark Papirus-Light"
for t in $THEMES; do
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
done

%files
%license LICENSE
%doc AUTHORS README.md
%{_datadir}/icons/Papirus-Dark/*x*
%{_datadir}/icons/Papirus-Dark/symbolic
%{_datadir}/icons/Papirus-Light/*x*
%{_datadir}/icons/Papirus-Light/symbolic
%{_datadir}/icons/Papirus/*x*
%{_datadir}/icons/Papirus/symbolic
%{_datadir}/icons/ePapirus-Dark/*x*
%{_datadir}/icons/ePapirus-Dark/symbolic
%{_datadir}/icons/ePapirus/*x*
%{_datadir}/icons/ePapirus/symbolic
%ghost %{_datadir}/icons/ePapirus-Dark/icon-theme.cache
%ghost %{_datadir}/icons/ePapirus/icon-theme.cache
%ghost %{_datadir}/icons/Papirus/icon-theme.cache
%ghost %{_datadir}/icons/Papirus-Dark/icon-theme.cache
%ghost %{_datadir}/icons/Papirus-Light/icon-theme.cache

%changelog
* Tue Oct 17 2023 yaoxin <yao_xin001@hoperun.com> - 20230901-1
- Upgrade to 20230901

* Fri Jul 15 2022 yaoxin <yaoxin30@ha-partners.com> - 20200301-3
- License compliance rectification

* Mon Sep 7 2020 Ge Wang <wangge20@huawei.com> 20200301-2
- Modify the Source0 Url

* Fri Aug 7 2020 weidong <weidong@uniontech.com> - 20200301-1
- Initial release for OpenEuler
